#ifndef __RJNDAEL_FOR_CPP_H
#define __RJNDAEL_FOR_CPP_H
//---------------------------------------------------------------------------
#include "rijndael-api-fst.h"
//---------------------------------------------------------------------------
/*  Function protoypes  */
/*  CHANGED: makeKey(): parameter blockLen added
                        this parameter is absolutely necessary if you want to
			setup the round keys in a variable block length setting
	     cipherInit(): parameter blockLen added (for obvious reasons)
 */
extern "C" int makeKey(keyInstance *key, BYTE direction, int keyLen, char *keyMaterial);

extern "C"  int cipherInit(cipherInstance *cipher, BYTE mode, char *IV);

extern "C"  int blockEncrypt(cipherInstance *cipher, keyInstance *key, BYTE *input,
			int inputLen, BYTE *outBuffer);

extern "C"  int blockDecrypt(cipherInstance *cipher, keyInstance *key, BYTE *input,
			int inputLen, BYTE *outBuffer);
extern "C"  int cipherUpdateRounds(cipherInstance *cipher, keyInstance *key, BYTE *input,
						int inputLen, BYTE *outBuffer, int Rounds);
#endif
 