//---------------------------------------------------------------------------

#ifndef uMainH
#define uMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include "rijndael_for_cpp.h"
#include <Dialogs.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TButton *bnEncode;
        TMemo *AText;
        TEdit *AKey;
        TMemo *Encrypted;
        TMemo *Decrypted;
        TButton *bnDecode;
        TMainMenu *MainMenu1;
        TMenuItem *N1;
        TMenuItem *N2;
        TMenuItem *N3;
        TOpenDialog *OpenDialog1;
        TLabel *Label1;
        TButton *bnGO;
        TLabel *Label2;
        TGroupBox *GroupBox1;
        TGroupBox *GroupBox2;
        TLabel *Label3;
        TLabel *Label4;
        TGroupBox *GroupBox3;
        TEdit *eKey;
        TRadioGroup *RadioGroup1;
        TGroupBox *GroupBox4;
        TLabel *Label5;
        TLabel *Label6;
        TLabel *Label7;
        TEdit *DKey;
        void __fastcall bnEncodeClick(TObject *Sender);
        void __fastcall EncodeFile(TObject *Sender);
        void __fastcall DecodeFile(TObject *Sender);
        void __fastcall eKeyChange(TObject *Sender);
        void __fastcall N2Click(TObject *Sender);
        void __fastcall RadioGroup1Click(TObject *Sender);
        void __fastcall bnDecodeClick(TObject *Sender);
private:	// User declarations
        void UpdateLabels();
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
        AnsiString FileName;
        AnsiString DestFile;
        bool Encypt;
        keyInstance AKEY;
        cipherInstance ACIPHER;
        char UserKey[32];

        char *Source;
        char *Encoded;
        char *Decoded;
        int SourceSize;
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
